Commit 902a4212 authored by Lukáš Krupčík's avatar Lukáš Krupčík
Browse files

new file: g/Graphviz/Graphviz-2.44.1-GCCcore-9.3.0-Java-11-Python-3.8.6.eb

	new file:   h/h5py/h5py-2.10.0-intel-2020a-Python-3.8.6.eb
	deleted:    g/Graphviz/Graphviz-2.44.1-GCCcore-9.3.0-Java-11-Python-3.8.2.eb
	deleted:    h/h5py/h5py-3.1.0-intel-2020a-Python-3.8.6.eb
parent 8f4ec84a
Pipeline #17946 passed with stage
in 7 seconds
# IT4Innovations 2021
# LK
easyblock = 'ConfigureMake'
name = 'Graphviz'
......@@ -34,15 +37,15 @@ builddependencies = [
dependencies = [
('Java', '11', '', True),
('Python', '3.8.2'),
('Python', '3.8.6'),
('FriBidi', '1.0.9'),
('Gdk-Pixbuf', '2.40.0'),
('Ghostscript', '9.52'),
('GTS', '0.7.6'),
('libgd', '2.3.0'),
('Pango', '1.44.7'),
# ('Pango', '1.44.7'),
('Perl', '5.30.2'),
('Qt5', '5.14.1'),
('Qt5', '5.13.1', '', True),
('Tcl', '8.6.10'),
('zlib', '1.2.11'),
]
......@@ -67,8 +70,7 @@ sanity_check_paths = {
'files': ['bin/%s' % x for x in ['acyclic', 'bcomps', 'ccomps', 'cluster', 'diffimg', 'dijkstra', 'dot',
'dot_builtins', 'dotty', 'edgepaint', 'gc', 'gml2gv', 'graphml2gv', 'gv2gml',
'gvcolor', 'gvedit', 'gvgen', 'gvmap', 'gvmap.sh', 'gvpack', 'gvpr', 'gxl2gv',
'lefty', 'lneato', 'mm2gv', 'nop', 'prune', 'sccmap', 'tred', 'unflatten',
'vimdot']] +
'lefty', 'lneato', 'mm2gv', 'nop', 'prune', 'sccmap', 'tred', 'unflatten']] +
['lib/%s.%s' % (x, SHLIB_EXT) for x in ['libcdt', 'libcgraph', 'libgvc', 'libgvpr', 'liblab_gamut',
'libpathplan', 'libxdot']],
'dirs': ['include', 'lib/graphviz', 'lib/graphviz/java', 'lib/graphviz/python%s' % local_pyver_major,
......
......@@ -4,7 +4,7 @@
easyblock = 'PythonPackage'
name = 'h5py'
version = '3.1.0'
version = '2.10.0'
versionsuffix = '-Python-%(pyver)s'
homepage = 'https://www.h5py.org/'
......@@ -18,6 +18,10 @@ toolchainopts = {'usempi': True}
source_urls = [PYPI_SOURCE]
sources = [SOURCE_TAR_GZ]
#patches = ['h5py-%(version)s_avoid-mpi-init.patch']
#checksums = [
# '84412798925dc870ffd7107f045d7659e60f5d46d1c70c700375248bf6bf512d', # h5py-2.10.0.tar.gz
# '6bacb71f5d9fbd7bd9a01018d7fe21b067a2317f33c4a7c21fde9cd404c1603f', # h5py-2.10.0_avoid-mpi-init.patch
#]
builddependencies = [('pkgconfig', '1.5.1', versionsuffix)]
......@@ -31,6 +35,6 @@ use_pip = False
download_dep_fail = True
# to really use mpi enabled hdf5 we now seem to need a configure step, which is the reason we can't use pip
#prebuildopts = 'python setup.py configure --mpi --hdf5=$EBROOTHDF5 && '
prebuildopts = 'python setup.py configure --mpi --hdf5=$EBROOTHDF5 && '
moduleclass = 'data'
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment